com.unitech.stuhflBridge

## Class BR_ST25RU3993_Gen2_InventoryCfg.Fields

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_InventoryCfg.Fields

- Enclosing class:
    BR_ST25RU3993_Gen2_InventoryCfg

      protected class BR_ST25RU3993_Gen2_InventoryCfg.Fields
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `adaptiveSensitivity_enable`
    `int` | `adaptiveSensitivity_interval`
    `boolean` | `antiCollision_adaptiveQ`
    `byte[]` | `antiCollision_C1`
    `byte[]` | `antiCollision_C2`
    `byte` | `antiCollision_maxQ`
    `byte` | `antiCollision_minQ`
    `byte` | `antiCollision_options`
    `byte` | `antiCollision_startQ`
    `int` | `autoTuning_algorithm`
    `boolean` | `autoTuning_falsePositiveDetection`
    `int` | `autoTuning_interval`
    `int` | `autoTuning_level`
    `boolean` | `option_autoAck`
    `boolean` | `option_fast`
    `boolean` | `option_readTID`
    `byte` | `queryParams_sel`
    `int` | `queryParams_session`
    `int` | `queryParams_target`
    `boolean` | `queryParams_targetDepletionMode`
    `boolean` | `queryParams_toggleTarget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`
    `Fields(boolean option_fast, boolean option_autoAck, boolean option_readTID, boolean antiCollision_adaptiveQ, byte antiCollision_startQ, byte antiCollision_minQ, byte antiCollision_maxQ, byte antiCollision_options, byte[] antiCollision_C2, byte[] antiCollision_C1, int autoTuning_interval, int autoTuning_level, int autoTuning_algorithm, boolean autoTuning_falsePositiveDetection, byte queryParams_sel, int queryParams_session, int queryParams_target, boolean queryParams_toggleTarget, boolean queryParams_targetDepletionMode, boolean adaptiveSensitivity_enable, int adaptiveSensitivity_interval)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### option_fast

          public boolean option_fast

    - #### option_autoAck

          public boolean option_autoAck

    - #### option_readTID

          public boolean option_readTID

    - #### antiCollision_adaptiveQ

          public boolean antiCollision_adaptiveQ

    - #### antiCollision_startQ

          public byte antiCollision_startQ

    - #### antiCollision_minQ

          public byte antiCollision_minQ

    - #### antiCollision_maxQ

          public byte antiCollision_maxQ

    - #### antiCollision_options

          public byte antiCollision_options

    - #### antiCollision_C2

          public byte[] antiCollision_C2

    - #### antiCollision_C1

          public byte[] antiCollision_C1

    - #### autoTuning_interval

          public int autoTuning_interval

    - #### autoTuning_level

          public int autoTuning_level

    - #### autoTuning_algorithm

          public int autoTuning_algorithm

    - #### autoTuning_falsePositiveDetection

          public boolean autoTuning_falsePositiveDetection

    - #### queryParams_sel

          public byte queryParams_sel

    - #### queryParams_session

          public int queryParams_session

    - #### queryParams_target

          public int queryParams_target

    - #### queryParams_toggleTarget

          public boolean queryParams_toggleTarget

    - #### queryParams_targetDepletionMode

          public boolean queryParams_targetDepletionMode

    - #### adaptiveSensitivity_enable

          public boolean adaptiveSensitivity_enable

    - #### adaptiveSensitivity_interval

          public int adaptiveSensitivity_interval

  - ### Constructor Detail

    - #### Fields

          public Fields(boolean option_fast,
                        boolean option_autoAck,
                        boolean option_readTID,
                        boolean antiCollision_adaptiveQ,
                        byte antiCollision_startQ,
                        byte antiCollision_minQ,
                        byte antiCollision_maxQ,
                        byte antiCollision_options,
                        byte[] antiCollision_C2,
                        byte[] antiCollision_C1,
                        int autoTuning_interval,
                        int autoTuning_level,
                        int autoTuning_algorithm,
                        boolean autoTuning_falsePositiveDetection,
                        byte queryParams_sel,
                        int queryParams_session,
                        int queryParams_target,
                        boolean queryParams_toggleTarget,
                        boolean queryParams_targetDepletionMode,
                        boolean adaptiveSensitivity_enable,
                        int adaptiveSensitivity_interval)

    - #### Fields

          public Fields()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`